Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

Update issue permissions

Grant an actor access to this issue. The first grant restricts the issue to listed actors + workspace admins; revoking the last grant reopens it.

PUT/workspaces/{organizationId}/issues/{id}/permissions
Path parameters
organizationIdstringrequired
idstringrequired
Request body
application/json
actorIdstringrequired
min length 1
actorTypestring
Allowed:useragentteam
Responses
200

Permission set

idstringrequired
organizationIdstringrequired
issueIdstringrequired
actorIdstringrequired
actorTypestringrequired
createdAtstringrequired
404

Issue not found

Try it
Server
Parameters
Bodyapplication/json
Request
curl -X PUT '/workspaces/string/issues/string/permissions' \
  -H 'Content-Type: application/json' \
  -d '{
  "actorId": "string",
  "actorType": "user"
}'
Response
{
  "id": "string",
  "organizationId": "string",
  "issueId": "string",
  "actorId": "string",
  "actorType": "string",
  "createdAt": "string"
}